package com.example.bluetooth.le;

import android.app.AlertDialog;
import android.app.AlertDialog.Builder;
import android.content.Context;
import android.view.View;
import android.widget.EditText;
import android.widget.Toast;

public class Util {
	public static boolean chackEdtextNoEmpty(Context context,EditText editText,String str){
		String edstr = editText.getText().toString().trim();
		if (edstr.length()==0) {
			ToastMessage(context, str);
			return false;
		}else {
			return true;
		}
	}
	public static int chackEdtextArea(Context context,EditText editText,int lessNumber,int moreNumber,String str){
		String edstr = editText.getText().toString().trim();
		int valueOf = Integer.valueOf(edstr);
		if (valueOf<lessNumber||valueOf>moreNumber) {
			ToastMessage(context, str);
			return -1;
		}else {
			return valueOf;
		}
	}
	public static AlertDialog.Builder Dialog(Context context,String title,String message){
		Builder builder = new AlertDialog.Builder(context);
		builder.setTitle(title).setMessage(message);
		return builder;
	}
	public static void ToastMessage(Context context,String message){
		Toast.makeText(context, message, Toast.LENGTH_SHORT).show();
	}
	public static AlertDialog.Builder DialogView(Context context,View view){
		Builder builder = new AlertDialog.Builder(context);
		return builder.setView(view);
	}
	public static String byteASCIIstr(byte[] by){
		String str="";
		for (int i = 0; i < by.length; i++) {
			char b=(char)by[i];
			str+=b;
		}
		return str;
	}
}
